"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RadioButton = void 0;
const react_1 = __importStar(require("react"));
const clsx_1 = __importDefault(require("clsx"));
const Circle_1 = require("@procyon/components/Icons/Circle");
const CircleFill_1 = require("@procyon/components/Icons/CircleFill");
const enums_1 = require("@procyon/types/enums");
const RadioButton = (props) => {
    const { onClick, horizontal = false, label, options, View, status = enums_1.StatusEnum.none, responsive, name, message } = props;
    const [value, setValue] = (0, react_1.useState)(null);
    (0, react_1.useEffect)(() => {
        var _a;
        if (props.value !== value) {
            setValue((_a = props.value) !== null && _a !== void 0 ? _a : null);
        }
    }, [props.value]);
    const handleClick = (code, e) => {
        onClick === null || onClick === void 0 ? void 0 : onClick(code, e);
        setValue(code);
    };
    const elements = (0, react_1.useMemo)(() => {
        return options.map((option) => {
            const { code, name, disabled } = option;
            return (react_1.default.createElement("div", { key: code, className: (0, clsx_1.default)({
                    'mr-3': horizontal
                }) }, View ? (react_1.default.createElement(View, { option: option, onClick: handleClick, value: value })) : (react_1.default.createElement("div", { className: (0, clsx_1.default)('flex field-radio', { 'field-radio--disabled': disabled }), onClick: (e) => (!disabled ? handleClick(code, e) : null) },
                value === code && !disabled ? (react_1.default.createElement(CircleFill_1.CircleFillIcon, { className: "field-icon mr-1" })) : (react_1.default.createElement(Circle_1.CircleIcon, { className: "field-icon mr-1" })),
                name))));
        });
    }, [value, options, name]);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("div", { className: (0, clsx_1.default)('field-container radiobutton-container', {
                'field-container--info': status === enums_1.StatusEnum.info,
                'field-container--success': status === enums_1.StatusEnum.success,
                'field-container--warning': status === enums_1.StatusEnum.warning,
                'field-container--error': status === enums_1.StatusEnum.error
            }) },
            label && react_1.default.createElement("div", { className: "field-label cursor-default mr-2 self-start" }, label),
            react_1.default.createElement("div", { className: (0, clsx_1.default)('flex', responsive
                    ? 'flex-col sm:flex-row'
                    : {
                        'flex-col': !horizontal,
                        'flex-row': horizontal
                    }) }, elements)),
        message && react_1.default.createElement("div", null, message)));
};
exports.RadioButton = RadioButton;
