"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Selectbox = void 0;
const react_1 = __importStar(require("react"));
const ButtonCursor_1 = require("@procyon/components/Icons/ButtonCursor");
const useModal_1 = require("@procyon/components/Modal/useModal");
const TextField_1 = require("../TextField");
const SelectboxModal_1 = require("./components/SelectboxModal");
const Selectbox = (props) => {
    const { value, options, onChange, name, label, autoComplete } = props, others = __rest(props, ["value", "options", "onChange", "name", "label", "autoComplete"]);
    const [openModal, closeModal] = (0, useModal_1.useModal)(name, {
        title: label,
        style: { width: 300 },
        Component: (props) => (react_1.default.createElement(SelectboxModal_1.SelectboxModal, Object.assign({ autoComplete: autoComplete, name: name, options: options, closeModal: closeModal, onChange: handleOptionClick, onRemove: handleOptionRemove, selectedCode: selectedOption === null || selectedOption === void 0 ? void 0 : selectedOption.code }, props))),
    });
    const [selectedOption, setSelectedOption] = (0, react_1.useState)(null);
    (0, react_1.useEffect)(() => {
        var _a;
        if (value !== (selectedOption === null || selectedOption === void 0 ? void 0 : selectedOption.code)) {
            const newValue = (_a = options === null || options === void 0 ? void 0 : options.find(({ code }) => code === value)) !== null && _a !== void 0 ? _a : null;
            setSelectedOption(newValue);
        }
    }, [value, options]);
    const handleOptionClick = (option) => {
        setSelectedOption(option);
        onChange === null || onChange === void 0 ? void 0 : onChange(option === null || option === void 0 ? void 0 : option.code, null);
    };
    const handleOptionRemove = () => {
        setSelectedOption(null);
        onChange === null || onChange === void 0 ? void 0 : onChange(undefined, null);
    };
    const handleOpenModal = () => {
        openModal();
    };
    return (react_1.default.createElement(TextField_1.TextField, Object.assign({}, others, { readonly: true, name: name, label: label, value: selectedOption === null || selectedOption === void 0 ? void 0 : selectedOption.name, leftIcon: react_1.default.createElement(ButtonCursor_1.ButtonCursorIcon, { className: "field-icon", onClick: handleOpenModal }) })));
};
exports.Selectbox = Selectbox;
