"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Table = void 0;
const react_1 = __importStar(require("react"));
const ramda_1 = require("ramda");
const clsx_1 = __importDefault(require("clsx"));
const utils_1 = require("@procyon/utils");
const TableCell_1 = require("./TableCell");
const TableHead_1 = require("./TableHead");
const TableRow_1 = __importDefault(require("./TableRow"));
const Table = ({ cols, rows, nthStyle = true, className }) => {
    const headCells = (0, react_1.useMemo)(() => {
        if (!(0, utils_1.isNilOrEmpty)(cols === null || cols === void 0 ? void 0 : cols.data)) {
            Object.keys(cols.data).map((c) => (react_1.default.createElement(TableHead_1.TableHead, { key: c, className: cols.className }, cols.data[c].value)));
        }
        return null;
    }, [cols.data]);
    const body = (0, react_1.useMemo)(() => {
        if (!rows) {
            return null;
        }
        let rowIndex = 0;
        return (0, ramda_1.map)((row) => {
            rowIndex++;
            return (react_1.default.createElement(TableRow_1.default, { nthStyle: nthStyle, key: rowIndex, className: row.className }, (0, ramda_1.map)((cell) => {
                const head = cols.data[cell];
                return (react_1.default.createElement(TableCell_1.TableCell, { key: cell, title: head.value, className: row.data[cell].className }, row.data[cell].value));
            }, (0, ramda_1.keys)(cols.data))));
        }, rows);
    }, [cols.data, rows, nthStyle]);
    return (react_1.default.createElement("div", { className: (0, clsx_1.default)('tablek', className) },
        react_1.default.createElement("div", { className: "tablek-head-row" }, headCells),
        body));
};
exports.Table = Table;
